de.esprit.netsuite.server.perm

## Interface PermissionManager<S extends ServerContext>

- All Superinterfaces:
    PermissionControlled, ServerObject<S>
  All Known Implementing Classes:
    DefaultPermissionManager

      public interface PermissionManager<S extends ServerContext>
      extends ServerObject<S>, PermissionControlled

  This interface defines a server instance for managing user and group permissions
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkPermission(SessionId sessionId, PermissionControlled obj, UserPermission action)`
    `void` | `checkPermission(UserId userId, PermissionControlled obj, UserPermission action)` Delegates to `PermissionConfig.checkUserPermission(UserId, PermissionControlled, UserPermission)`
    `PermissionConfig` | `getPermissionConfig()` Returns a `PermissionConfig` instance which may be transferred to a client for editing.
    `boolean` | `hasPermission(UserId userId, PermissionControlled obj, UserPermission action)` Delegates to `PermissionConfig`
    `void` | `init()`
    `void` | `setPermissionConfig(SessionId sessionId, PermissionConfig permissionCfg)`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.perm.PermissionControlled

      `getSupportedPermissions`

- - ### Method Detail

    - #### init

          void init()
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPermissionConfig

          PermissionConfig getPermissionConfig()

      Returns a `PermissionConfig` instance which may be transferred to a client for editing.
      See Also:
        `setPermissionConfig(SessionId, PermissionConfig)`

    - #### setPermissionConfig

          void setPermissionConfig(SessionId sessionId,
                                 PermissionConfig permissionCfg)
                                   throws PermissionException

      Throws:
        `PermissionException`

    - #### hasPermission

          boolean hasPermission(UserId userId,
                              PermissionControlled obj,
                              UserPermission action)

      Delegates to `PermissionConfig`

    - #### checkPermission

          void checkPermission(UserId userId,
                             PermissionControlled obj,
                             UserPermission action)
                               throws PermissionException

      Delegates to `PermissionConfig.checkUserPermission(UserId, PermissionControlled, UserPermission)`
      Throws:
        `PermissionException`

    - #### checkPermission

          void checkPermission(SessionId sessionId,
                             PermissionControlled obj,
                             UserPermission action)
                               throws PermissionException

      Throws:
        `PermissionException`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.